﻿@model ShopKart.Models.Product

@{
    ViewBag.Title = "View Details";
}
<link href="~/Content/css/style.css" rel="stylesheet" />
<!-- product category -->
<section id="aa-product-details">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="aa-product-details-area">
                    <div class="aa-product-details-content">
                        <div class="row">
                            <!-- Modal view slider -->
                            <div class="col-md-5 col-sm-5 col-xs-12">
                                <div class="aa-product-view-slider">
                                    <div id="demo-1" class="simpleLens-gallery-container">
                                        <div class="simpleLens-container">
                                            <div class="simpleLens-big-image-container"><a data-lens-image="@Model.ImageURL" class="simpleLens-lens-image"><img src="@Model.ImageURL" class="simpleLens-big-image"></a></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- Modal view content -->
                            <div class="col-md-7 col-sm-7 col-xs-12">
                                <div class="aa-product-view-content">
                                    <h3><strong> @Model.Name</strong></h3>
                                    <div class="aa-product-rating">
                                        @for (int i = 1; i <= 5; i++)
                                        {
                                            if (ViewBag.AvgRate >= i)
                                            {
                                                <span class="fa fa-star" style="color: #ff6600"></span>
                                            }
                                            else
                                            {
                                                <span class="fa fa-star-o" style="color: #ff6600"></span>
                                            }
                                        }

                                    </div>

                                    <div class="aa-price-block">
                                        <span class="aa-product-view-price">Rs. <b> @Model.UnitPrice</b></span>
                                        @if (Model.UnitInStock > 0)
                                        {
                                            <p class="aa-product-avilability"><span style="color:white ;background-color:green">In Stock (@Model.UnitInStock)</span></p>
                                        }
                                        else
                                        {
                                            <p class="aa-product-avilability"><span style="color:white;background-color:red">Out of Stock</span></p>
                                        }
                                        @{
                                            TempData["returnURL"] = Request.RawUrl;   
                                        }
                                        
                                       
                                    </div>
                                    <p>@Model.ShortDescription</p>
                                    <div class="aa-prod-quantity">
                                        <h4>Quantity:</h4>
                                        <form action="">
                                            <input type="number" name="quantity" min="1" max="99" maxlength="2" value="1" />                                            
                                        </form>                                       
                                    </div>
                                    <div class="aa-prod-view-bottom">
                                        @if (Model.UnitInStock > 0)
                                        {
                                             <a class="aa-add-to-cart-btn" href="@(Session["username"] != null ? Url.Action("AddToCart", "Product", new { id=Model.ProductID}) : Url.Action("Login", "Account"))">Add To Cart</a>
                                        }
                                        else
                                        {
                                            <a class="aa-add-to-cart-btn" ))">Add To Cart</a>

                                        }
                                            <a class="aa-add-to-cart-btn" href="@(Session["username"] != null ? Url.Action("WishList", "Product", new { id = Model.ProductID }) : Url.Action("Login", "Account"))">Wishlist</a> 
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="aa-product-details-bottom">
                        <ul class="nav nav-tabs" id="myTab2">
                            <li><a href="#description" data-toggle="tab">Description</a></li>
                        </ul>

                        <!-- Tab panes -->
                        <div class="tab-content">
                            <div class="tab-pane fade in active" id="description">
                                <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>
                                <ul>
                                    <li>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quod, culpa!</li>
                                    <li>Lorem ipsum dolor sit amet.</li>
                                    <li>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</li>
                                    <li>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolor qui eius esse!</li>
                                    <li>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quibusdam, modi!</li>
                                </ul>
                                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Illum, iusto earum voluptates autem esse molestiae ipsam, atque quam amet similique ducimus aliquid voluptate perferendis, distinctio!</p>
                                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Blanditiis ea, voluptas! Aliquam facere quas cumque rerum dolore impedit, dicta ducimus repellat dignissimos, fugiat, minima quaerat necessitatibus? Optio adipisci ab, obcaecati, porro unde accusantium facilis repudiandae.</p>
                            </div>
                           
        </div>
    </div>
</section>
<!-- / product category -->
